[Pkg-javascript-commits] [node-leveldown] 201/492: add test-10k-times.sh script

Andrew Kelley andrewrk-guest at moszumanska.debian.org
Sun Jul 6 17:13:59 UTC 2014


This is an automated email from the git hooks/post-receive script.

andrewrk-guest pushed a commit to annotated tag rocksdb-0.10.1
in repository node-leveldown.

commit 8b9f5a2c9dad3cfd306ded5d1840e5f86f199fbc
Author: Lars-Magnus Skog <lars.magnus.skog at gmail.com>
Date:   Wed Feb 13 13:52:41 2013 +0100

    add test-10k-times.sh script
---
 test/test-10k-times.sh | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/test/test-10k-times.sh b/test/test-10k-times.sh
new file mode 100755
index 0000000..c68e67c
--- /dev/null
+++ b/test/test-10k-times.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+cd ..
+
+for (( i=1; i<=10000; i++ ))
+do
+    echo "Running test $i .."
+    npm test
+    if [ $? -ne 0 ]; then
+        break
+    fi
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-javascript/node-leveldown.git



More information about the Pkg-javascript-commits mailing list